> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get promotion by ID

> Get promotion by ID.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json get /v1/deals/promotions/{id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/promotions/{id}:
    get:
      tags:
        - Promotions
      summary: Get promotion by ID
      description: Get promotion by ID.
      parameters:
        - schema:
            type: string
            description: The ID of the promotion to fetch.
          required: true
          description: The ID of the promotion to fetch.
          name: id
          in: path
      responses:
        '200':
          description: Promotion by id.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The unique identifier for the promotion. Format: `UUID RFC
                      4122`
                    example: ce0839f8-b522-41a4-9c09-5f3e510fb2d9
                  startDate:
                    type: string
                    description: >-
                      The date and time when the promotion becomes active.
                      Format: `ISO 8601`
                    example: '2024-01-01T00:00:00.000Z'
                  endDate:
                    type: string
                    description: >-
                      The date and time when the promotion expires. Format: `ISO
                      8601`
                    example: '2024-12-31T23:59:59.999Z'
                  description:
                    type: string
                    description: The description of the promotion.
                    example: Free shipping on all orders over $50.
                  retailerId:
                    type: string
                    description: >-
                      The ID of the retailer associated with the promotion
                      offer. Format: `UUID RFC 4122`
                    example: 4f9df53d-16dc-4630-8603-8d14ec40fcfe
                  url:
                    type: string
                    description: >-
                      The URL of the retailer's website where the promotion can
                      be used.
                    example: https://www.bestbuy.com
                  name:
                    type: string
                    description: The name of the retailer associated with the promotion.
                    example: BestBuy
                  hostname:
                    type: string
                    description: The hostname of the retailer's website.
                    example: www.bestbuy.com
                  logo:
                    type: string
                    description: >-
                      The URL of the retailer's logo associated with the
                      promotion.
                    example: https://www.bestbuy.com/logo.png
                  deepLink:
                    type: string
                    description: The deep link URL for the promotion.
                    example: https://www.bestbuy.com/promotion
                  updatedAt:
                    type: string
                    description: >-
                      The date and time when the promotion was last updated.
                      Format: `ISO 8601`
                    example: '2024-01-01T12:00:00.000Z'
                required:
                  - id
                  - startDate
                  - endDate
                  - description
                  - retailerId
                  - url
                  - name
                  - hostname
                  - deepLink
                  - updatedAt
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````